@echo off
cd\
set TheDrive=%windir:~0,2%
%TheDrive%
cls
echo *************************************************************
echo *                                                           *
echo * KGuard Information Co., Ltd.                              *
echo * DVR Ocx removal tool 2013/11/18                           *
echo * Remove ocx of SHA / SHA V2 / NS / BR / OT / EL / AR / NVR *
echo *                                                           *
echo *************************************************************

echo Today is %date%

echo Starting...

set RunArp=false


@if exist %windir%\SysWOW64\ (set TheSys=%windir%\SysWoW64\) else (set TheSys=%windir%\System32\)

cd %TheSys%


:procSHA
@if NOT exist dvrocx.ocx (goto	procNVR)
echo found SHA components
@set RunArp=true

regsvr32 /u dvrocx.ocx

del dvroc*.* 
del rm_dvr*.*
del hi_h264de*.*

del amrdll.dll
del AudioDecoder.dll
del chipdecoder.dll
del CovH264ToAvi.dll
del lib_VoiceEngine_dll.dll
del Logo_Language.ini
del nvrfs.dll
del winpubf.dll


:procNVR
@if NOT exist RSVideoN.ocx (goto procNSBR)
echo found NVR components
@regsvr32/u RSVideoN.ocx
@del RSVideoN.ocx


:procNSBR
@if NOT exist RSVideo.ocx (goto procOT)
echo found NS/BR/EL components
@set RunArp=true

regsvr32/u RSVideo.ocx
del RSVideo.ocx
del AVI.dll
del hi_h264dec_w.dll
del hisi_voice_engine.dll
del lib_VoiceEngine_dll.dll
del RSNet.dll
del RSPlay.dll
del CHT.xml
del ENU.xml
del THA.xml
del RUS.xml
del PTG.xml
del JPN.xml
del ESN.xml
del FRA.xml
del PTG.xml
del RSSkinKguard.dll
del msLbtdown.dll


:procOT
@if NOT exist NetDvr.ocx (goto procAR)
echo found OT components
@set RunArp=true

regsvr32/u NetDvr.ocx
del NetDvr.ocx
del NPLANGUAGE.dll
del NPDVRNET.dll
del NP264PLAY.dll

del English.xml
del "Chinese Simplified.xml"
del "Chinese Traditional.xml"
del Japanese.xml
del Persian.xml
del Russian.xml
del Italian.xml
del Portuguese.xml
del Spanish.xml


:procAR
@set	arocx=false
@if exist RMN9_DVR.ocx (set arocx=true)
@if exist N9_DVR.ocx (set arocx=true)
@if exist N9_ActiveX.ocx (set arocx=true)
@if %arocx%==false (goto procEnd)
echo found AR components
@set RunArp=true

@if exist RMN9_DVR.ocx (regsvr32/u RMN9_DVR.ocx)
@if exist N9_DVR.ocx (regsvr32/u N9_DVR.ocx)
@if exist N9_ActiveX.ocx (regsvr32/u N9_ActiveX.ocx)

del AmrDll.dll
del chipdecoder.dll
del hi_h264dec.dll
del hi_h264dec_w.dll
del lib_VoiceEngine_dll.dll
del RMN9_DVR.ocx
del N9_DVR.ocx
del avapi.dll
del napi.dll
del HTSound.dll
del rmvftostdf.dll
del N9_ActiveX.ocx
del UdtApi.dll


:procEnd
if %RunArp%==true (arp -d)
echo All required task has been finished.
@echo on
@pause
